List categories by parent
GET
/api/projects/{projectid}/categories-for-parent
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/categories-for-parent"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/categories-for-parent';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/categories-for-parent \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectid
required
string format: uuid
The project identifier.
Query Parameters
Section titled “Query Parameters”parentName
string
The parent category name.
Responses
Section titled “Responses”OK
Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
itemOrder
integer | string format: int32
displayOrder
integer | string format: int32
code
null | string
name
null | string
description
null | string
categoryKind
useForAllEventTypes
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
itemOrder
integer | string format: int32
displayOrder
integer | string format: int32
code
null | string
name
null | string
description
null | string
categoryKind
useForAllEventTypes
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
[ { "categoryKind": "Multi" }]Array<object>
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
parentId
null | string format: uuid
topLevelId
string format: uuid
currentLevel
integer | string format: int32
itemOrder
integer | string format: int32
displayOrder
integer | string format: int32
code
null | string
name
null | string
description
null | string
categoryKind
useForAllEventTypes
boolean
imageUrl
null | string
imageAssetId
null | string format: uuid
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
publish
boolean
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
[ { "categoryKind": "Multi" }]Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}